%define git	20200416
%define rel	2

Summary:	A non-linear video editor
Name:		olive
Version:	0.1.2
Release:	%mkrel %{?git:3.%git.}%{rel}
License:	GPLv3
Group:		Video/Editors and Converters
Url:		https://www.olivevideoeditor.org
Source0:	https://github.com/olive-editor/olive/archive/olive-%{version}-git%{git}.tar.xz
Patch0:		olive-0.1.2-fix-build-with-qt-5.15.patch
BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	pkgconfig(frei0r)
BuildRequires:	pkgconfig(libavformat)
BuildRequires:	pkgconfig(libavfilter)
BuildRequires:	pkgconfig(libavutil)
BuildRequires:	pkgconfig(libswresample)
BuildRequires:	pkgconfig(libswscale)
BuildRequires:	pkgconfig(OpenColorIO)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Multimedia)
BuildRequires:	pkgconfig(Qt5MultimediaWidgets)
BuildRequires:	pkgconfig(Qt5OpenGL)
BuildRequires:	pkgconfig(Qt5Svg)

%description
Olive is a free non-linear video editor aiming to provide a
fully-featured alternative to high-end professional video editing
software.

%prep
%setup -q -n %{name}-%{version}-git%{git}
%autopatch -p1
# fix script
perl -pi -e 's@\r@@g' debian/gitfromlog.sh 

%build
%cmake
%if %mgaversion >= 8
%cmake_build
%else
%make_build
%endif

%install
%if %mgaversion >= 8
%cmake_install
%else
%make_install -C build INSTALL_ROOT=%{buildroot}
%endif

%files
%doc README.md
%license LICENSE
%{_bindir}/olive-editor
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/*/mimetypes/*.png
%{_datadir}/applications/*.desktop
%{_metainfodir}/*.xml
%{_datadir}/mime/packages/*.xml
%{_datadir}/olive-editor/effects/*
%{_datadir}/olive-editor/ts/*


%changelog
* Sun Aug 30 2020 daviddavid <daviddavid> 0.1.2-3.20200416.2.mga8
+ Revision: 1619812
- add patch to fix build with Qt 5.15

* Thu May 07 2020 ghibo <ghibo> 0.1.2-3.20200416.1.mga8
+ Revision: 1581565
- Use %%cmake_build
- Update to release from git 20200416
- Added some BuildRequires.
- Update to git 20200416.
- Added some BuildRequires.
- Use cmake.

* Wed Feb 19 2020 umeabot <umeabot> 0.1.2-2.mga8
+ Revision: 1544555
- Mageia 8 Mass Rebuild

* Sun Jan 26 2020 daviddavid <daviddavid> 0.1.2-1.mga8
+ Revision: 1483269
- new version: 0.1.2

* Thu Apr 25 2019 ghibo <ghibo> 0.0-1.git20190421.1.mga7
+ Revision: 1395358
- Update to fix trimming one frame clips (2019-04-21).

* Thu Apr 18 2019 ghibo <ghibo> 0.0-1.git20190417.1.mga7
+ Revision: 1393176
- Fix release numbering to be mass_rebuild bot compliant (thanks to David
  Geiger).
- Update "continuous" build to git-20190417.

* Tue Apr 16 2019 ghibo <ghibo> 0.0-1.git20190414.mga7
+ Revision: 1391800
- imported package olive


* Tue Apr 16 2019 ghibo <ghibo> 0.0-1.20190414.mga7
- Initial release.

